# Uses of Class
org.xnio.Property

Packages that use Property
Package
Description
org.xnio
The main API package for XNIO.

## Uses of Property in org.xnio

Fields in org.xnio with type parameters of type Property
Modifier and Type
Field
Description
`static final Option<Sequence<Property>>`
Options.`SASL_PROPERTIES`
A list of provider specific SASL properties.
Methods in org.xnio that return Property
Modifier and Type
Method
Description
`static Property`
Property.`of(String key, Object value)`
Create a new property for the specified key and value.
`static Property`
Property.`of(String key, String value)`
Create a new property for the specified key and value.
Methods in org.xnio with parameters of type Property
Modifier and Type
Method
Description
`boolean`
Property.`equals(Property other)`
Determine if this Property equals another Property.